Actualizar la configuración de la aplicación
curl --request POST \
--url https://api.hubapi.com/marketing/v3/marketing-events/{appId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventDetailsUrl": "<string>"
}
'import requests
url = "https://api.hubapi.com/marketing/v3/marketing-events/{appId}/settings"
payload = { "eventDetailsUrl": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({eventDetailsUrl: '<string>'})
};
fetch('https://api.hubapi.com/marketing/v3/marketing-events/{appId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appId": 123,
"eventDetailsUrl": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Configuración
Update the application settings
Crea o actualiza la configuración actual de la aplicación.
POST
/
marketing
/
v3
/
marketing-events
/
{appId}
/
settings
Actualizar la configuración de la aplicación
Supported products
Supported products
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El ID de la aplicación cuya configuración se actualizará.
Cuerpo
application/json
La URL que se utilizará para recuperar los detalles del evento de marketing por ID. Debe contener una secuencia de caracteres "%s" que será sustituida por el ID del evento. Por ejemplo: "https://my.event.app/events/%s"
Última modificación el 3 de abril de 2026